#pragma once

#include "Camera.h"


class QuadCamera
{
public:
	static gl::Camera ToDiag(const gl::Camera& maincamera, const lib_gl::Viewport& viewport);
	static gl::Camera ToUp(const gl::Camera& maincamera, const lib_gl::Viewport& viewport);
	static gl::Camera ToLeft(const gl::Camera& maincamera, const lib_gl::Viewport& viewport);
	static gl::Camera ToFront(const gl::Camera& maincamera, const lib_gl::Viewport& viewport);
};
